com.sun.jna.platform.win32.COM

## Interface IMoniker

All Superinterfaces:
  IPersist, IPersistStream, IUnknown

All Known Implementing Classes:
  Moniker, Moniker.ByReference

    public interface IMoniker
    extends IPersistStream

Enables you to use a moniker object, which contains information that uniquely identifies a COM object. (Unimplemented, placeholder only at present)

See Also:
  MSDN

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `BindToObject()` Binds to the specified object.
`void` `BindToStorage()`
`void` `CommonPrefixWith()`
`void` `ComposeWith()`
`void` `Enum()`
`java.lang.String` `GetDisplayName(Pointer bindContext, Pointer pmkToLeft)` Retrieves the display name for the moniker.
`void` `GetTimeOfLastChange()`
`void` `Hash()`
`void` `Inverse()`
`void` `IsEqual()`
`void` `IsRunning()`
`void` `IsSystemMoniker()`
`void` `ParseDisplayName()`
`void` `Reduce()`
`void` `RelativePathTo()`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IPersistStream

`GetSizeMax, IsDirty, Load, Save`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IPersist

`GetClassID`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Method Detail

#### BindToObject

    void BindToObject()

Binds to the specified object. The binding process involves finding the object, putting it into the running state if necessary, and providing the caller with a pointer to a specified interface on the identified object. `HRESULT BindToObject( [in] IBindCtx *pbc, [in] IMoniker *pmkToLeft, [in] REFIID riidResult, [out] void **ppvResult );`

See Also:
  MSDN

#### BindToStorage

    void BindToStorage()

#### Reduce

    void Reduce()

#### ComposeWith

    void ComposeWith()

#### Enum

    void Enum()

#### IsEqual

    void IsEqual()

#### Hash

    void Hash()

#### IsRunning

    void IsRunning()

#### GetTimeOfLastChange

    void GetTimeOfLastChange()

#### Inverse

    void Inverse()

#### CommonPrefixWith

    void CommonPrefixWith()

#### GetDisplayName

    java.lang.String GetDisplayName(Pointer bindContext,
                                    Pointer pmkToLeft)

Retrieves the display name for the moniker. `HRESULT GetDisplayName( [in] IBindCtx *pbc, [in] IMoniker *pmkToLeft, [out] LPOLESTR *ppszDisplayName );`

See Also:
  MSDN

#### ParseDisplayName

    void ParseDisplayName()

#### IsSystemMoniker

    void IsSystemMoniker()

#### RelativePathTo

    void RelativePathTo()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.